> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coralos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove thread participant

> Removes an agent from a thread masquerading as the specified agent



## OpenAPI

````yaml /api_v1.json delete /api/v1/puppet/{namespace}/{sessionId}/{agentName}/thread/participant
openapi: 3.1.0
info:
  title: Coral Server API
  version: '1.0'
servers: []
security: []
tags: []
externalDocs:
  url: /
paths:
  /api/v1/puppet/{namespace}/{sessionId}/{agentName}/thread/participant:
    delete:
      tags:
        - puppet
      summary: Remove thread participant
      description: Removes an agent from a thread masquerading as the specified agent
      operationId: puppetRemoveThreadParticipant
      parameters:
        - name: namespace
          in: path
          description: The session's namespace
          required: true
          deprecated: false
          explode: false
          schema:
            type: string
            title: String
        - name: sessionId
          in: path
          description: The session's ID
          required: true
          deprecated: false
          explode: false
          schema:
            type: string
            title: String
        - name: agentName
          in: path
          description: The agent's name
          required: true
          deprecated: false
          explode: false
          schema:
            type: string
            title: String
      requestBody:
        description: Thread and participant information details
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RemoveParticipantInput'
        required: false
      responses:
        '200':
          description: Success
          headers: {}
        '400':
          description: Participant cannot be removed
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouteException'
        '404':
          description: Agent or thread not found
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouteException'
      deprecated: false
      security:
        - token: []
components:
  schemas:
    RemoveParticipantInput:
      type: object
      properties:
        threadId:
          type: string
          description: The unique identifier for the thread to remove participants from
          title: String
        participantName:
          type: string
          description: The name of the agent to remove as a participant of the thread
          title: String
      required:
        - participantName
        - threadId
      title: RemoveParticipantInput
    RouteException:
      type: object
      properties:
        message:
          type: string
          title: String
      required:
        - message
      title: RouteException
  securitySchemes:
    token:
      type: http
      scheme: bearer
      bearerFormat: Configured token

````